Bug 133533 - [PATCH] Add a static user/group for audio/musicpd port
Summary: [PATCH] Add a static user/group for audio/musicpd port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-09 07:10 UTC by Ashish Shukla
Modified: 2009-12-06 17:40 UTC (History)
0 users

See Also:


Attachments
file.diff (8.78 KB, patch)
2009-04-09 07:10 UTC, Ashish Shukla
no flags Details | Diff
musicpd.diff (9.31 KB, patch)
2009-04-11 06:24 UTC, Ashish Shukla
no flags Details | Diff
musicpd.diff (9.01 KB, patch)
2009-08-21 18:40 UTC, Ashish Shukla
no flags Details | Diff
musicpd.diff (8.84 KB, patch)
2009-11-23 02:52 UTC, Ashish Shukla
no flags Details | Diff
musicpd.diff (6.10 KB, patch)
2009-12-06 16:14 UTC, Ashish Shukla
no flags Details | Diff
UIDs.diff (622 bytes, patch)
2009-12-06 16:14 UTC, Ashish Shukla
no flags Details | Diff
GIDs.diff (223 bytes, patch)
2009-12-06 16:14 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2009-04-09 07:10:05 UTC
The audio/musicpd port isn't installing any user/group for running mpd, like other
distributions do. This attached diff adds a static user/group for the audio/musicpd
port.

The UID 137 and GID 137 needs to be reserved for this port. The diff for
${PORTSDIR}/UIDs and ${PORTSDIR}/GIDs is also attached in the same diff.
Comment 1 Edwin Groothuis freebsd_committer 2009-04-09 07:10:13 UTC
Maintainer of audio/musicpd,

Please note that PR ports/133533 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133533

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-09 07:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jan-Olof Lindqvist 2009-04-09 13:09:16 UTC
OK.

2009/4/9 Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of audio/musicpd,
>
> Please note that PR ports/133533 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/133533
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-04-09 17:22:47 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ashish Shukla 2009-04-11 06:24:51 UTC
Hi,

I've noticed that the rc.d script of musicpd port is not terminating mpd 
properly, so I'm sending a new diff which has this problem fixed.

Please discard the old diff.

Thanks
-- 
Ashish SHUKLA
Comment 6 Philip M. Gollucci freebsd_committer 2009-06-12 04:41:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 7 Philip M. Gollucci freebsd_committer 2009-06-21 22:40:29 UTC
State Changed
From-To: open->feedback

http://tb.p6m7g8.net/index.php?action=describe_port&id=2017
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2009-11-10 05:36:46 UTC
State Changed
From-To: feedback->open

Newer patch has been received. 


Comment 9 Mark Linimon freebsd_committer freebsd_triage 2009-11-10 05:36:46 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

With bugmeister hat on, reassign this one to the general pool, since it 
does not seem to have been worked on recently.
Comment 10 Ashish Shukla 2009-11-23 02:52:59 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Martin,

Please found the attached diff file, which you'll need to apply on current
musicpd port.

Thanks
- -- 
Ashish SHUKLA
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.13 (FreeBSD)

iEYEARECAAYFAksJ+Q8ACgkQHy+EEHYuXnTW5gCffR5xFvWMjX92LXp3C7Kxslie
jmEAn3gntkf9MdqLU2FsQLQLUN/cSz9Q
=dOto
-----END PGP SIGNATURE-----
Comment 11 Pav Lucistnik freebsd_committer 2009-12-03 12:54:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 12 Pav Lucistnik freebsd_committer 2009-12-03 12:54:56 UTC
State Changed
From-To: open->feedback

Could you adapt it to the new USERS/GROUPS mechanism?
Comment 13 Pav Lucistnik freebsd_committer 2009-12-06 17:28:26 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 14 dfilter service freebsd_committer 2009-12-06 17:31:02 UTC
pav         2009-12-06 17:30:53 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile 
    audio/musicpd/files  musicpd.in pkg-message.in 
  Added files:
    audio/musicpd        pkg-plist 
    audio/musicpd/files  patch-doc_mpdconf.example 
  Log:
  - Use static UID/GID and convert to USERS macro
  - Install useful sample configuration
  
  PR:             ports/133533
  Submitted by:   Ashish SHUKLA <wahjava@gmail.com>
  Approved by:    Jan-Olof Lindqvist <jo.lindqvist@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.48      +25 -4     ports/audio/musicpd/Makefile
  1.2       +7 -0      ports/audio/musicpd/files/musicpd.in
  1.1       +93 -0     ports/audio/musicpd/files/patch-doc_mpdconf.example (new)
  1.3       +3 -0      ports/audio/musicpd/files/pkg-message.in
  1.7       +2 -0      ports/audio/musicpd/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"